Subject: bug#71712: 29.3; Crash on OpenBSD

From: Kirill A. Korinsky <[email-masked]>
Date: Sun, 30 Jun 2024 17:42:55 +0100

On Sun, 30 Jun 2024 09:52:18 +0100,
Manuel Giraud <[email-masked]> wrote:
> 
> Kirill A. Korinsky <[email-masked]> writes:
> 
> [...]
> 
> > Here a tricky part: I have used GDB on OpenBSD more than once, which
> > includes attaching to a process on my mail servers when I hunt a bugs inside
> > it. And it works well.
> >
> > Emacs is the first application which I can't debug on OpenBSD.
> 
> Hi,
> 
> On OpenBSD, you need to use egdb from the gdb *package* to debug Emacs.
> And it both works when Emacs is compiled with the in base clang compiler
> or the gcc package.

Thanks for suggestion.

I've used egdb because gdb from the base system is quite old.

-- 
wbr, Kirill